Skip to main content

Box support ending for older Mac OS X and Internet Explorer versions

ox Sync and Edit support will be ending for Mac OS X 10.9 (Mavericks) August 1, 2016, and Box browser support for Internet Explorer 9 and 10 will end September 1, 2016. Cornell Box provides unlimited storage and collaboration space for Cornell faculty, students, and staff. 

Mac OS X 10.9 (Mavericks)
Box has announced that as of August 1, 2016, Box Sync and Box Edit will no longer be supported on Mac OS X 10.9 (Mavericks). This change is in line with Box's policy of support for only the two latest versions of OS X.

Box Sync users running Mavericks will begin seeing notices in Box about this change in July, and be advised to upgrade their operating system. After August 1, Box Sync and Edit will continue to work in Mavericks, but will be entirely unsupported by Box, including all security patches.

Internet Explorer 9 and 10
Box will end browser support for Internet Explorer 9 and 10 including any version of compatibility mode that represents these versions, on September 1, 2016. In the months prior to this date, Box will notify users on these browsers via an in-app message that their browser will soon be unsupported. 

For a few months after the end of support, the in-app message will say that the browser is out of date and that the user needs to upgrade to a supported browser. Eventually, users who try to access Box using IE 9 or 10 or associated compatibility modes for these browsers will be blocked entirely from using Box until they have upgraded to a supported browser.

Thank you,
Cornell Box Team
www.it.cornell.edu/services/box

Was this page helpful?

Your feedback helps improve the site.

Comments?